Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class MazePropertyOwner.InfoPropertyDisplay

    java.lang.Object
      de.caff.maze.AbstractPropertyInformation
          de.caff.maze.MazePropertyOwner.InfoPropertyDisplay

All Implemented Interfaces:
  PropertyInformation, java.beans.PropertyChangeListener, java.util.EventListener

Enclosing class:
  MazePropertyOwner

    protected abstract static class MazePropertyOwner.InfoPropertyDisplay

extends AbstractPropertyInformation
implements java.beans.PropertyChangeListener

Display of a purely informational property.

Field Summary

Fields inherited from interface de.caff.maze.PropertyInformation
`SHORT_DESCRIPTION_SUFFIX`

Constructor Summary
`protected` | `MazePropertyOwner.InfoPropertyDisplay(java.lang.String name, java.lang.String propertyName, MazePropertyOwner owner)` Constructor.

Method Summary
`java.lang.Object` | `getPropertyValue()` Get the current value of property.
`javax.swing.JComponent` | `getSetterComponent()` A component to set the property.
`protected abstract java.lang.Object` | `getValue()` Get the property value from the owner.
`boolean` | `isInformational()` Is the setter component just for display?
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Called when the property has changed.

Methods inherited from class de.caff.maze.AbstractPropertyInformation
`forget, getLocalizedDescription, getLocalizedShortDescription, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MazePropertyOwner.InfoPropertyDisplay

    protected MazePropertyOwner.InfoPropertyDisplay(java.lang.String name,
                                                    java.lang.String propertyName,
                                                    MazePropertyOwner owner)

  Constructor.

  Parameters:
    `name` - id
    `propertyName` - name of property
    `owner` - property owner

Method Detail

### getSetterComponent

    public javax.swing.JComponent getSetterComponent()

  A component to set the property.

  Specified by:
    `getSetterComponent` in interface `PropertyInformation`
  Specified by:
    `getSetterComponent` in class `AbstractPropertyInformation`
  Returns:
    setter component

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Called when the property has changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - property change event

### getValue

    protected abstract java.lang.Object getValue()

  Get the property value from the owner.

  Returns:
    property value

### getPropertyValue

    public java.lang.Object getPropertyValue()

  Get the current value of property.

  Specified by:
    `getPropertyValue` in interface `PropertyInformation`
  Returns:
    property value

### isInformational

    public boolean isInformational()

  Is the setter component just for display?

  Specified by:
    `isInformational` in interface `PropertyInformation`
  Overrides:
    `isInformational` in class `AbstractPropertyInformation`
  Returns:
    always `true`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD